/*
Author: Dave Bone 
FILE:    sp_2.lex
Date:    7 mar 2014	
Purpose: Test out Spector lr(1) resolution page 61
*/
/@
@** Spector  Grammar.\fbreak
David Spector\fbreak
Full LR(1) Parser Generator ACM Sigplan Notices, 16(8), August 1981.\fbreak
Test out LR(1) resolution page 61.
@/
fsm	
(fsm-id "sp_2.lex",fsm-filename sp_2,fsm-namespace NS_sp_2
,fsm-class Csp_2
,fsm-version	"1.0",fsm-date "7 mar 2014",fsm-debug "false"
,fsm-comments	"Test out Spector LR(1) resolution page 61.")
@"/usr/local/yacco2/compiler/grammars/yacco2_T_includes.T"

rules{

Rg(){
  -> Rs eog 
}

Rs(){
  -> a Ra c
  -> a Rb d
  -> b Ra d
  -> b Rb c
}

Ra(){
  -> f
}

Rb(){
  -> f
}
}
